Bug Hunting Session
Bug 43475 - UI: Start Center uses German words for French and English UI
Summary: UI: Start Center uses German words for French and English UI
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-02 10:41 UTC by Rainer Bielefeld Retired
Modified: 2011-12-18 14:18 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshots (45.98 KB, application/x-download)
2011-12-02 10:41 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2011-12-02 10:41:29 UTC
Created attachment 54080 [details]
Screenshots

I saw that with Server installation of  Master "LibO-dev 3.5.0 – WIN7 Home Premium (64bit) ENGLISH / FRENCH UI [Build ID: 130028f-b211287-090bcba-45cf606-05891e7]" Win-x86@9-Voreppe - 111130).

I stat center I find German words "Öffnen" and "Vorlagen"
French UI shows "Texte" instead of "Document texte"

I so other mistakes in other versions (English words in German start center, ...)
Comment 1 Andras Timar 2011-12-03 03:17:46 UTC
I confirm this bug. It happens when you use LibreOffice in other language than your system locale. It is not a common scenario, mainly happens to testers. Somehow the language detection is different for this resource than for others. I tried to debug it once, but I did not finish, first of all I did not understand why it happened with master and not with 3.4. I'll get back to the issue when I find some time.
Comment 2 Rainer Bielefeld Retired 2011-12-03 04:29:41 UTC
Also with Server Installation of  "LibreOffice 3.5.0 Beta0  - WIN7 Home Premium (64bit) English UI [Build:ef91e38-b1d4df6-090bcba-45cf606-05891e7]" - and as expected also Vietnamese and others. The 2 affected ones lead to folders, the other links to programs? What ever that might help for debugging
Comment 3 Andras Timar 2011-12-18 14:18:25 UTC
Should be fixed in beta2.